Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFCachedFeatureGraphicWarehouse

    java.lang.Object
      com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
          com.bbn.openmap.layer.vpf.VPFLayerGraphicWarehouse
              com.bbn.openmap.layer.vpf.VPFFeatureGraphicWarehouse
                  com.bbn.openmap.layer.vpf.VPFCachedFeatureGraphicWarehouse

All Implemented Interfaces:
  VPFFeatureWarehouse, VPFGraphicWarehouse, VPFWarehouse

public class VPFCachedFeatureGraphicWarehouse
extends VPFFeatureGraphicWarehouse

The VPFFeatureGraphicWarehouse extension that knows how to use a VPFFeatureCache. The cached lists are cloned and the drawing attributes for the clones are set based on the warehouse settings.

Field Summary
`protected VPFFeatureCache` | `featureCache`

Fields inherited from class com.bbn.openmap.layer.vpf.VPFFeatureGraphicWarehouse
`DEFAULT, featureDrawingAttributes, info`

Fields inherited from class com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
`antarcticaThreshold, areaSubList, drawingAttributes, edgeSubList, graphics, pointSubList, textSubList`

Constructor Summary
`VPFCachedFeatureGraphicWarehouse()`
`VPFCachedFeatureGraphicWarehouse(VPFFeatureCache vfc)`

Method Summary
`protected void` | `addToCachedList(OMGraphic omg, java.lang.String featureType, PrimitiveTable pt, java.lang.String type)` Calls addToCachedList on the feature cache if it's available.
`void` | `createArea(CoverageTable covtable, AreaTable areatable, java.util.List facevec, LatLonPoint ll1, LatLonPoint ll2, float dpplat, float dpplon, java.lang.String featureType)`
`void` | `createEdge(CoverageTable c, EdgeTable edgetable, java.util.List edgevec, LatLonPoint ll1, LatLonPoint ll2, float dpplat, float dpplon, CoordFloatString coords, java.lang.String featureType)`
`void` | `createNode(CoverageTable c, NodeTable t, java.util.List nodeprim, float latitude, float longitude, boolean isEntityNode, java.lang.String featureType)` Method called by the VPF reader code to construct a node feature.
`void` | `createText(CoverageTable c, TextTable texttable, java.util.List textvec, float latitude, float longitude, java.lang.String text, java.lang.String featureType)`
`VPFFeatureCache` | `getFeatureCache()`
`OMGraphicList` | `getGraphics()` Overridden method of VPFFeatureGraphicWarehouse, clones cached OMGraphicLst and sets the proper DrawingAttributes settings for the particular features.
`boolean` | `needToFetchTileContents(java.lang.String currentFeature, TileDirectory currentTile)` Calls VPFFeatureCache.needToFetchTileContents().
`void` | `setFeatureCache(VPFFeatureCache vfc)`

Methods inherited from class com.bbn.openmap.layer.vpf.VPFFeatureGraphicWarehouse
`createFeatureDrawingAttributes, getAttributesForFeature, getFeatureDrawingAttributes, getGUI, initDrawingAttributes, main, setAttributesForFeature, setFeatureDrawingAttributes, setProperties`

Methods inherited from class com.bbn.openmap.layer.vpf.VPFLayerGraphicWarehouse
`createArea, createEdge, createFeature, createNode, createText, getFeatures, getSkipArray, resetForCAT`

Methods inherited from class com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
`addArea, addEdge, addPoint, addText, clear, createAreaOMPoly, createEdgeOMPoly, createOMPoint, createOMText, doThinning, drawAreaFeatures, drawCPointFeatures, drawEdgeFeatures, drawEPointFeatures, drawTextFeatures, getDrawingAttributes, getFanEpsilon, getFeatureString, getGraphics, getProperties, getUseLibrary, isDoThinning, setAreaFeatures, setCPointFeatures, setDoThinning, setDrawingAttributes, setEdgeFeatures, setEPointFeatures, setFanEpsilon, setFeatures, setTextFeatures, setUseLibrary`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.layer.vpf.VPFWarehouse
`drawAreaFeatures, drawCPointFeatures, drawEdgeFeatures, drawEPointFeatures, drawTextFeatures, getFeatures, getUseLibrary, resetForCAT, setUseLibrary`

Field Detail

### featureCache

    protected VPFFeatureCache featureCache

Constructor Detail

### VPFCachedFeatureGraphicWarehouse

    public VPFCachedFeatureGraphicWarehouse()

### VPFCachedFeatureGraphicWarehouse

    public VPFCachedFeatureGraphicWarehouse(VPFFeatureCache vfc)

Method Detail

### setFeatureCache

    public void setFeatureCache(VPFFeatureCache vfc)

### getFeatureCache

    public VPFFeatureCache getFeatureCache()

### createArea

    public void createArea(CoverageTable covtable,
                           AreaTable areatable,
                           java.util.List facevec,
                           LatLonPoint ll1,
                           LatLonPoint ll2,
                           float dpplat,
                           float dpplon,
                           java.lang.String featureType)

  Specified by:
    `createArea` in interface `VPFFeatureWarehouse`
  Overrides:
    `createArea` in class `VPFFeatureGraphicWarehouse`

### createEdge

    public void createEdge(CoverageTable c,
                           EdgeTable edgetable,
                           java.util.List edgevec,
                           LatLonPoint ll1,
                           LatLonPoint ll2,
                           float dpplat,
                           float dpplon,
                           CoordFloatString coords,
                           java.lang.String featureType)

  Specified by:
    `createEdge` in interface `VPFFeatureWarehouse`
  Overrides:
    `createEdge` in class `VPFFeatureGraphicWarehouse`

### createText

    public void createText(CoverageTable c,
                           TextTable texttable,
                           java.util.List textvec,
                           float latitude,
                           float longitude,
                           java.lang.String text,
                           java.lang.String featureType)

  Specified by:
    `createText` in interface `VPFFeatureWarehouse`
  Overrides:
    `createText` in class `VPFFeatureGraphicWarehouse`

### createNode

    public void createNode(CoverageTable c,
                           NodeTable t,
                           java.util.List nodeprim,
                           float latitude,
                           float longitude,
                           boolean isEntityNode,
                           java.lang.String featureType)

  Method called by the VPF reader code to construct a node feature.

  Specified by:
    `createNode` in interface `VPFFeatureWarehouse`
  Overrides:
    `createNode` in class `VPFFeatureGraphicWarehouse`

### addToCachedList

    protected void addToCachedList(OMGraphic omg,
                                   java.lang.String featureType,
                                   PrimitiveTable pt,
                                   java.lang.String type)

  Calls addToCachedList on the feature cache if it's available.

### needToFetchTileContents

    public boolean needToFetchTileContents(java.lang.String currentFeature,
                                           TileDirectory currentTile)

  Calls VPFFeatureCache.needToFetchTileContents().

  Specified by:
    `needToFetchTileContents` in interface `VPFFeatureWarehouse`
  Overrides:
    `needToFetchTileContents` in class `VPFFeatureGraphicWarehouse`

### getGraphics

    public OMGraphicList getGraphics()

  Overridden method of VPFFeatureGraphicWarehouse, clones cached OMGraphicLst and sets the proper DrawingAttributes settings for the particular features.

  Overrides:
    `getGraphics` in class `LayerGraphicWarehouseSupport`
  Returns:
    the OMGraphicList.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details